<?php
/**
 * Plugin Messages (addon for plugin Adm_redacteurs)
 * Version  : 1.4 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| Initialisation des constantes et des fonctions utilisées dans le plugin
|--------------------------------------------------------------------------
*/

/**
 * ROOT
 */
define('MESSAGES_DIRNAME', 'messages');
define('MESSAGES_PLUGIN_VERSION', '1.4');
define('MESSAGES_ADDON_PATH',       ADMR_ADDONS_PATH.'/'.MESSAGES_DIRNAME);      // Addon

/**
 * MAIN DIRECTORIES
 */
define('MESSAGES_ASSETS_PATH',      MESSAGES_ADDON_PATH.'/assets');      // Assets
define('MESSAGES_CONFIGS_PATH',     MESSAGES_ADDON_PATH.'/configs');     // Config
define('MESSAGES_CONTROLLERS_PATH', MESSAGES_ADDON_PATH.'/controllers'); // Controllers
define('MESSAGES_HELPERS_PATH',     MESSAGES_ADDON_PATH.'/helpers');     // Helpers
define('MESSAGES_LANGUAGES_PATH',   MESSAGES_ADDON_PATH.'/languages');   // Languages
define('MESSAGES_LIBRARIES_PATH',   MESSAGES_ADDON_PATH.'/libraries');   // Libraries
define('MESSAGES_MODELS_PATH',      MESSAGES_ADDON_PATH.'/models');      // Models
define('MESSAGES_VIEWS_PATH',       MESSAGES_ADDON_PATH.'/views');       // Views

/**
 * ASSETS
 */
define('MESSAGES_CSS_PATH',             MESSAGES_ASSETS_PATH.'/css');		 // Chemin du répertoire CSS
define('MESSAGES_IMG_PATH',             MESSAGES_ASSETS_PATH.'/img');        // Chemin du répertoire images
define('MESSAGES_JS_PATH',              MESSAGES_ASSETS_PATH.'/js');		 // Chemin du répertoire javascript
define('MESSAGES_EDITORS_CONFIG_PATH',  MESSAGES_ASSETS_PATH.'/editors');    // Chemin du répertoire des éditeurs
define('MESSAGES_CKEDITOR_CONFIG_PATH', MESSAGES_EDITORS_CONFIG_PATH.'/ckeditor_config/config.js'); // Chemin du fichier de la configuration de ckeditor

/**
 * IMAGES
 */

/**
 * DATA
 */
define('MESSAGES_DATA_PATH',            CHEMIN.'data/plugins/'.MESSAGES_DIRNAME);           // Chemin du répertoire contenant les données du plugin
define('MESSAGES_WRITER_FILE_PREFIX',   'writer_msg_');                     // Préfixe du nom du fichier contenant les id des documents du rédacteur présents dans la base 
define('MESSAGES_NEXTID_DB',            MESSAGES_DATA_PATH.'/msg_nextid'.DBEXT); // Chemin du fichier contenant l'id du dernier document ajouté
define('MESSAGES_CONTENTS_PATH',        MESSAGES_DATA_PATH.'/msg_content');      // Chemin du répertoire contenant les données des documents
define('MESSAGES_CONTENTS_FILE_PREFIX', 'msg_content_');                    // Préfixe du nom du fichier contenant les données du document
//